Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 727730 - sys-auth/consolekit: consider removal
Summary: sys-auth/consolekit: consider removal
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jason Zaman
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 473548
  Show dependency tree
 
Reported: 2020-06-09 21:20 UTC by Mikle Kolyada
Modified: 2020-12-03 23:19 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-06-09 21:20:30 UTC
I think it is time to birn this one with dignity. Upstream is fairly dead. People are either using elogind or systemd's logind.
Comment 1 Andreas Sturmlechner gentoo-dev 2020-06-26 14:12:48 UTC
Referencing more abandonware.
Comment 2 Maciej S. Szmigiero 2020-06-26 19:40:47 UTC
elogind seems to not have any capability to manage cgroup2 controllers for users logging in (setting resource weights and limits, etc).

For OpenRC users only consolekit2 has this capability.
It still works fine with small tweaks located in various Gentoo bug reports.
Comment 3 Larry the Git Cow gentoo-dev 2020-08-02 07:56:34 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a942c610c80f27824927abb163750dbe1c84647

commit 2a942c610c80f27824927abb163750dbe1c84647
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-08-02 07:53:32 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-08-02 07:56:28 +0000

    profiles/base: mask consolekit use flag
    
    Bug: https://bugs.gentoo.org/727730
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 profiles/base/use.mask | 4 ++++
 1 file changed, 4 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2020-08-02 08:09:25 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f08fdab4d59f570a46b698599bad206c4c48cd06

commit f08fdab4d59f570a46b698599bad206c4c48cd06
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-08-02 08:05:52 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-08-02 08:09:19 +0000

    profiles: mask sys-auth/consolekit for removal
    
    Bug: https://bugs.gentoo.org/727730
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 profiles/package.mask | 8 ++++++++
 1 file changed, 8 insertions(+)
Comment 5 Adam Feldman gentoo-dev 2020-08-02 14:31:17 UTC
This really should have been package.deprecated and NOT removed from all packages, even stable packages, without a word.
Comment 6 Maciej S. Szmigiero 2020-08-02 20:51:10 UTC
(In reply to Adam Feldman from comment #5)
> This really should have been package.deprecated and NOT removed from all
> packages, even stable packages, without a word.

+1.

As I said in comment 2, elogind seems to be missing important cgroup2 functionality, so it is far from being a drop-in replacement.
Comment 7 ilovekiruna 2020-08-03 09:40:57 UTC
Additionally, Bug #682196 is also still open. So basically from my understanding a SELinux enabled system will not be possible in the future. I will need to migrate off SELinux in order to use elogind, or keep a package which is not in portage anymore. Is this assumption true?
Comment 8 Larry the Git Cow gentoo-dev 2020-10-04 14:39:20 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39ece3ff2467f0c1a3dc946767f3896d31055198

commit 39ece3ff2467f0c1a3dc946767f3896d31055198
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-10-04 14:33:57 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-10-04 14:39:06 +0000

    sys-auth/consolekit: remove last-rited pkg
    
    Bug: https://bugs.gentoo.org/727730
    Closes: https://bugs.gentoo.org/644550
    Closes: https://bugs.gentoo.org/667912
    Closes: https://bugs.gentoo.org/644548
    Closes: https://bugs.gentoo.org/601878
    Closes: https://bugs.gentoo.org/699592
    Closes: https://bugs.gentoo.org/651788
    Closes: https://bugs.gentoo.org/614658
    Closes: https://bugs.gentoo.org/593306
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 sys-auth/consolekit/Manifest                       |   6 -
 sys-auth/consolekit/consolekit-0.4.6.ebuild        | 125 -------------------
 sys-auth/consolekit/consolekit-1.1.0-r1.ebuild     | 120 -------------------
 sys-auth/consolekit/consolekit-1.1.2.ebuild        | 131 --------------------
 sys-auth/consolekit/consolekit-1.2.0.ebuild        | 132 ---------------------
 sys-auth/consolekit/consolekit-1.2.1.ebuild        | 132 ---------------------
 sys-auth/consolekit/consolekit-9999.ebuild         | 128 --------------------
 sys-auth/consolekit/files/90-consolekit-3          |  32 -----
 sys-auth/consolekit/files/consolekit-0.2.rc        |  25 ----
 .../files/consolekit-0.4.5-polkit-automagic.patch  |  30 -----
 sys-auth/consolekit/files/consolekit-1.0.0.initd   |  16 ---
 ...ove-the-root-restriction-for-runtime-dirs.patch |  57 ---------
 .../files/consolekit-cleanup_console_tags.patch    |  67 -----------
 ...nsolekit-shutdown-reboot-without-policies.patch |  26 ----
 .../files/consolekit-udev-acl-install_to_usr.patch |  28 -----
 sys-auth/consolekit/files/pam-foreground-compat.ck |  17 ---
 sys-auth/consolekit/metadata.xml                   |  22 ----
 17 files changed, 1094 deletions(-)
Comment 9 Larry the Git Cow gentoo-dev 2020-10-04 14:43:03 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=167553ba3e35c92dda61e85fe3043b6e3aa67717

commit 167553ba3e35c92dda61e85fe3043b6e3aa67717
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-10-04 14:41:22 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-10-04 14:41:22 +0000

    sec-policy/selinux-consolekit: remove last-rited pkg
    
    Bug: https://bugs.gentoo.org/727730
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 sec-policy/selinux-consolekit/Manifest                    |  4 ----
 sec-policy/selinux-consolekit/metadata.xml                |  8 --------
 .../selinux-consolekit-2.20190201-r1.ebuild               | 15 ---------------
 .../selinux-consolekit-2.20190609-r1.ebuild               | 15 ---------------
 .../selinux-consolekit/selinux-consolekit-9999.ebuild     | 15 ---------------
 5 files changed, 57 deletions(-)
Comment 10 Larry the Git Cow gentoo-dev 2020-10-08 20:34:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66f8fb307e3b4765903b4010b9801ea37bcf8bd1

commit 66f8fb307e3b4765903b4010b9801ea37bcf8bd1
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-10-08 20:32:26 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-10-08 20:34:55 +0000

    profiles/base/use.mask: remove consolekit use flag
    
    Closes: https://bugs.gentoo.org/727730
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 profiles/base/use.mask | 4 ----
 1 file changed, 4 deletions(-)
Comment 11 ValleyKnight 2020-12-03 23:17:30 UTC
This was very underhanded and horrible.

No word of warning, no deprecation, just one day: Bam, no consolekit in portage, all USE flags and packages for it were masked and removed.

And to top it all off, when it was masked Portage was fighting me very hard with unmasking it.

I actually left Gentoo for a while because of this.

Fortunately for everyone affected by this disgusting mistake of a removal, I made an overlay containing ConsoleKit and PolicyKit. While I was at it, I helped fix some other terrible mistakes made by Gentoo maintainers with the help of a friend. https://github.com/Phate6660/undeprecated

I wanted to message this when all this first happened, but life got in the way, hence the delayed response.
Comment 12 Andreas Sturmlechner gentoo-dev 2020-12-03 23:19:54 UTC
Thankfully we've got the timeline in this very bug to prove you wrong.